Subject: Arctic Coolers

From: [email-masked] (Mike Carter)
Date: Thu, 1 Jun 1995 09:30:17

At the University of New Brunswick, Fredericton, N.B., Canada, we have to 
replace several Arctic Coolers, which are evaporative coolers made for cooling 
greenhouses. They have a water inlet and level controller, a pump to 
recirculate the water over a media filter, and a fan to blow the air through 
the wet media and into the greenhouse.

Can anyone direct me to a supplier, either in the USA or Canada? Please 
respond via E-mail at:

              [email-masked]

Thanks,
MFC